%define rhugversion 20030919
%define rhugsource1 %{name}-%{version} upstream

Summary: Java Management Extensions (JMX)
Name: mx4j
Version: 1.1.1
Release: 6
URL: http://mx4j.sourceforge.net/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}.tar.gz
Patch1: %{name}-1.1.1-release.patch
Patch2: %{name}-1.1.1-buildclasspath.patch
Patch4: %{name}-1.1.1-hammer.patch
Patch5: %{name}-1.1.1-pr8823.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-c++-ssa
BuildPrereq: gcc-java-ssa >= 3.5ssa-0.20030801.34
BuildPrereq: xerces-j >= 2.2.1-9
BuildPrereq: xalan-j >= 2.4.1-8
BuildPrereq: bcel >= 5.0-10
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj-ssa >= 3.5ssa-0.20030801.34
Requires: xerces-j >= 2.2.1-9
Requires: xalan-j >= 2.4.1-8
Requires: bcel >= 5.0-10
ExclusiveArch: i386 x86_64 ppc ia64

%description
MX4J is an open source implementation of the Java Management
Extensions (JMX).  JMX is used for managing and monitoring.

%package devel
Summary: CNI headers for developing MX4J applications
Group: Development/Libraries
Requires: mx4j = %{version}-%{release}

%description devel
The mx4j-devel package contains the headers required to develop
Cygnus Native Interface (CNI) extensions that use MX4J.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .release
%patch2 -p0 -b .buildclasspath
%patch4 -p0 -b .hammer
%patch5 -p0 -b .pr8823
mv ChangeLog ChangeLog.rhug
mv TODO TODO.rhug

%build
CC=gcc-ssa CXX=g++-ssa GCJ=gcj-ssa GCJH=gcjh-ssa \
./configure --disable-static --prefix=%{_prefix} --libdir=%{_libdir}
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-management.so \
    %{_libdir}/lib-mx4j.so \
    %{_datadir}/java/mx4j.jar

%postun
%{_sbindir}/javaconfig \
    %{_libdir}/lib-javax-management.so \
    %{_libdir}/lib-mx4j.so \
    %{_datadir}/java/mx4j.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/{README,LICENSE,docs}
%{_libdir}/lib*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/javax/management
%{_includedir}/mx4j

%changelog
* Fri Sep 19 2003 Gary Benson <gbenson@redhat.com> 1.1.1-6
- Merge libraries to avoid unresolved symbols caused by broken
  circular dependencies.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.1.1-5
- Ensure we have a working javaconfig.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.1.1-4
- Rebuild with new compiler.

* Thu Aug  7 2003 Gary Benson <gbenson@redhat.com> 1.1.1-3
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.1.1-2
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Tue Jul  1 2003 Gary Benson <gbenson@redhat.com> 1.1.1-1
- Initial Red Hat Linux build.

* Fri Jun 27 2003 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
